<sqtm-core-toggle-icon [active]="canPrune">
  @if (canPrune) {
    <div
      class="full-height full-width icon-container current-workspace-main-color'"
      nz-popover
      (click)="showMenu()"
      [nzPopoverVisible]="$menuVisible()"
      [nzPopoverContent]="contentTemplate"
      [nzPopoverTrigger]="'click'"
      [nzPopoverPlacement]="'left'"
    >
      <i
        nz-icon
        nzType="sqtm-core-administration:broom"
        nzTheme="outline"
        class="table-icon-size"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.campaign-workspace.automated-suite.attachment-prune.title'
            | translate
        "
        nzTooltipPlacement="topRight"
      ></i>
    </div>
  } @else {
    <div class="full-height full-width icon-container">
      <i
        nz-icon
        nzType="sqtm-core-administration:broom"
        nzTheme="outline"
        class="table-icon-size"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.campaign-workspace.automated-suite.attachment-prune.title'
            | translate
        "
        nzTooltipPlacement="topRight"
      ></i>
    </div>
  }
</sqtm-core-toggle-icon>

<ng-template #contentTemplate>
  <div class="flex-column">
    <a
      class="prune-link"
      (click)="doPrune(true)"
      [attr.data-test-link-id]="'complete-prune'"
    >
      {{
        'sqtm-core.campaign-workspace.automated-suite.attachment-prune.complete.label'
          | translate
      }}
    </a>
    <a
      class="prune-link"
      (click)="doPrune(false)"
      [attr.data-test-link-id]="'partial-prune'"
    >
      {{
        'sqtm-core.campaign-workspace.automated-suite.attachment-prune.partial.label'
          | translate
      }}
    </a>
  </div>
</ng-template>
